package com.weiqi.mis.mapper;

import com.weiqi.mis.domain.WxXrPemsOrderPushLog;
import com.weiqi.mis.domain.WxXrPemsOrderPushLogExample;
import java.util.List;

public interface WxXrPemsOrderPushLogMapper {
    int countByExample(WxXrPemsOrderPushLogExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(WxXrPemsOrderPushLog record);

    int insertSelective(WxXrPemsOrderPushLog record);

    List<WxXrPemsOrderPushLog> selectByExample(WxXrPemsOrderPushLogExample example);

    WxXrPemsOrderPushLog selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(WxXrPemsOrderPushLog record);

    int updateByPrimaryKey(WxXrPemsOrderPushLog record);
}